## image-analyzer 3.2.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)
project(image-analyzer VERSION 3.2.6 LANGUAGES NONE)

# Additional CMake modules
list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

# CMake modules
include(GNUInstallDirs)

# Options
option(POST_INSTALL_HOOKS "Run post-install hooks" ON)

# Dependencies
find_package(IntlTool 0.21 REQUIRED)
find_package(Gettext 0.15 REQUIRED)

if(POST_INSTALL_HOOKS)
    find_program(UPDATE_DESKTOP_DATABASE_EXECUTABLE NAMES update-desktop-database)
    mark_as_advanced(UPDATE_DESKTOP_DATABASE_EXECUTABLE)
endif ()

# Installation
install(PROGRAMS src/image-analyzer DESTINATION ${CMAKE_INSTALL_BINDIR})

intltool_merge("-d" ${PROJECT_SOURCE_DIR}/po ${PROJECT_SOURCE_DIR}/data/image-analyzer.desktop.in image-analyzer.desktop)
install(FILES ${PROJECT_BINARY_DIR}/image-analyzer.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
if(POST_INSTALL_HOOKS)
    install(CODE "execute_process (COMMAND ${UPDATE_DESKTOP_DATABASE_EXECUTABLE} ${CMAKE_INSTALL_FULL_DATADIR}/applications)")
endif()

install(FILES data/image-analyzer.svg DESTINATION ${CMAKE_INSTALL_DATADIR}/pixmaps)

# Translations; we use the version provided by our FindIntlTool.cmake
# instead of the gettext version... Note: first two arguments are mandatory,
# the rest is an optional list of languages to process. If no languages
# are given, all POs are processed.
intltool_process_po_files(${PROJECT_SOURCE_DIR}/po ${PROJECT_NAME})

# *** Configuration summary ***
message(STATUS "")
message(STATUS "*** Image analyzer configuration summary ***")
message(STATUS "Installation:")
message(STATUS " install prefix: " ${CMAKE_INSTALL_PREFIX})
message(STATUS "Options:")
message(STATUS " run post-install hooks: " ${POST_INSTALL_HOOKS})
message(STATUS "")

=== debian/changelog ===
image-analyzer (3.2.6-5) unstable; urgency=medium

  * debian/appstream/net.sf.cdemu.image_analyzer.metainfo.xml:
    - Revert id to previous version, because AppStream documentation and
      implementation are not on the same page. This format should work
      for both.

 -- Matteo Bini <matteobin@tiepi.it>  Sat, 01 Jun 2024 10:41:13 +0200

image-analyzer (3.2.6-4) unstable; urgency=medium

  * debian/appstream/net.sf.cdemu.image-analyzer.metainfo.xml:
    - Change id to correct format.

 -- Matteo Bini <matteobin@tiepi.it>  Thu, 30 May 2024 22:11:18 +0200

image-analyzer (3.2.6-3) unstable; urgency=medium

  * debian/appstream/net.sf.cdemu.image_analyzer.metainfo.xml:
    - Add developer.
  * debian/control:
    - Bump Standards-Version to 4.7.0.

 -- Matteo Bini <matteobin@tiepi.it>  Sat, 25 May 2024 12:43:22 +0200

image-analyzer (3.2.6-2) unstable; urgency=medium

  * debian/appstream/net.sf.cdemu.image_analyzer.metainfo.xml:
    - Move description inside proper tag.
    - Add keywords.

 -- Matteo Bini <matteobin@tiepi.it>  Wed, 01 May 2024 13:11:23 +0200

image-analyzer (3.2.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Source-only upload to allow testing migration.
  * debian/control: Do not hardcode dependency on libglib2.0-0. Such
    dependency is already introduced by gir1.2-glib-2.0, and a hard
    dependency will block the ongoing 64-bit time_t transition.

 -- Boyuan Yang <byang@debian.org>  Fri, 26 Apr 2024 09:05:48 -0400

image-analyzer (3.2.6-1) unstable; urgency=low

  * Initial release, closes: #983454.

 -- Matteo Bini <matteobin@tiepi.it>  Wed, 27 Mar 2024 16:31:46 +0100

=== debian/control ===
Source: image-analyzer
Section: utils
Priority: optional
Homepage: https://cdemu.sourceforge.io/
Maintainer: Matteo Bini <matteobin@tiepi.it>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: cmake (>= 3.7.0),
                     dh-python,
                     intltool,
                     python3 (>= 3.4.0)
Standards-Version: 4.7.0
Rules-Requires-Root: no


Package: image-analyzer
Architecture: all
Depends: python3 (>= 3.4.0), python3-gi (>= 3.0.0), gir1.2-glib-2.0,
 gir1.2-gtk-3.0, gir1.2-pango-1.0, gir1.2-mirage-3.2 (>= 3.2.0), python3-matplotlib,
 ${python3:Depends}, ${misc:Depends}
Conflicts: image-analyzer-dbg
Replaces: image-analyzer-dbg
Description: Mirage Image Analyzer
 Image Analyzer is a Gtk3-based utility for CD/DVD image analysis
 and manipulation, with following functionality:
  - disc image layout visualization
  - reading of sector data from image
  - analysis of error correction and detection codes in sector main and
    subchannel data
  - retrieval of disc (DVD) structures, if available
  - visualization of disc topology (DPM) data, if available
  - image format conversion
  - logging facilities for debugging

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-


#export DH_VERBOSE=1


override_dh_auto_configure:
	dh_auto_configure -- -DPOST_INSTALL_HOOKS:BOOL=OFF

%:
	dh $@ --with python3
